/*******************(C) COPYRIGHT 2023 Masses-Chip ******************************
* File Name          : Touch_Lib_CFG.h
* Author             : MASSES CHIP
* Version            : V2.04
* Date               : 2023/11/08
*********************************************************************************



********************************************************************************/
#ifndef __Touch_Lib_CFG_H__
#define __Touch_Lib_CFG_H__

//===================================================================================================
//               0: 该通道按键不检测；1: 该通道按键需检测。
#define EnTk0    1
#define EnTk1    0
#define EnTk2    0
#define EnTk3    0
#define EnTk4    0
#define EnTk5    0
#define EnTk6    0
#define EnTk7    0
#define EnTk8    0
#define EnTk9    0
#define EnTk10   0
#define EnTk11   0
#define EnTk12   0
#define EnTk13   0
#define EnTk14   0
#define EnTk15   0
#define EnTk16   0
#define EnTk17   0
#define EnTk18   0
#define EnTk19   0
#define EnTk20   0
#define EnTk21   0
#define EnTk22   0
#define EnTk23   0
#define EnTk24   0
#define EnTk25   0
#define EnTk26   0
#define EnTk27   0
#define EnTk28   0
#define EnTk29   0
//===================================================================================================
// 触摸阈值： 取值需具体应用环境决定，最小30，最大255，值越小越灵敏
#define TKLib_TK0_F_THRESHOLD            70
#define TKLib_TK1_F_THRESHOLD            70
#define TKLib_TK2_F_THRESHOLD            70
#define TKLib_TK3_F_THRESHOLD            70
#define TKLib_TK4_F_THRESHOLD            70
#define TKLib_TK5_F_THRESHOLD            70
#define TKLib_TK6_F_THRESHOLD            70
#define TKLib_TK7_F_THRESHOLD            70
#define TKLib_TK8_F_THRESHOLD            70
#define TKLib_TK9_F_THRESHOLD            70
#define TKLib_TK10_F_THRESHOLD           70
#define TKLib_TK11_F_THRESHOLD           70
#define TKLib_TK12_F_THRESHOLD           70
#define TKLib_TK13_F_THRESHOLD           70
#define TKLib_TK14_F_THRESHOLD           70
#define TKLib_TK15_F_THRESHOLD           70
#define TKLib_TK16_F_THRESHOLD           70
#define TKLib_TK17_F_THRESHOLD           70
#define TKLib_TK18_F_THRESHOLD           70
#define TKLib_TK19_F_THRESHOLD           70
#define TKLib_TK20_F_THRESHOLD           70
#define TKLib_TK21_F_THRESHOLD           70
#define TKLib_TK22_F_THRESHOLD           70
#define TKLib_TK23_F_THRESHOLD           70
#define TKLib_TK24_F_THRESHOLD           70
#define TKLib_TK25_F_THRESHOLD           70
#define TKLib_TK26_F_THRESHOLD           70
#define TKLib_TK27_F_THRESHOLD           70
#define TKLib_TK28_F_THRESHOLD           70
#define TKLib_TK29_F_THRESHOLD           70
//===================================================================================================
// 设置允许同时响应的最多按键数量：     (1 <= value <= 开启的按键总数) 请根据实际使用时，同时触摸最多按键个数配置
#define TKLib_TOUCH_NUM                  1
 
// 设置按键最长有效时间： 0: 一直有效，即按键标志产生后，只要手指不离开，按键标志就会一直存在，不建议配置成0
//						非0: 当有任何触摸标志次数大于设定值时，所有的按键标志会被清除并复位所有通道的触摸基线,
//							 按键最长有效时间 ≈ TKLib_LONG_TOUCH_TIME * aSCAN_TIME，其中aSCAN_TIME 为 Touch_Key_Process 调用间隔时间
//                           在CPU = 16M/4T时 aSCAN_TIME 估算值 > 开启的通道数 * 1ms 
//                           (1<= value <=65535) 通常最长有效时间控制在8~30S左右，有特定时长需求的可根据实际需求调整，
//                                               但不建议时间设定过长，因为时间过长，意味着异常时自恢复需要的时间越长
#define TKLib_LONG_TOUCH_TIME            2500      

// 设置触摸按键基线更新速度：        	(1<= value <=100) 
#define TKLib_BASELINE_CALIBRATE_TIME    5    //一般不需要修改

// 用于按键超时判断：取值为  1ms < value*time0 < 2ms  即可	
//										(1 <= value <= 255) 
#define TKLib_TIMEOUT_CNT         		 20

//  上电按键有效延时时间,可根据实际需求修改				 
// 									    (0<= value<=254)  value*10ms
#define TKLib_PowerOn_Delay_Time         100

//================================================================================
// 触摸省电模式设定，一般运用请关闭此模式
//================================================================================
// 设置触摸低功耗模式是否开启  			 0: 不使用触摸省电模式；1: 使用触摸省电模式。
#define TKLib_TouchLowerPower            0

// 设置触摸低功耗模式唤醒时间:  		(0 <= value <= 7) 值越大更功耗越小，但唤醒速度会更慢
#define TKLib_LP_WAKEUP_TIMER            2       // 0 -> 25mS,1 -> 50mS,2 -> 100mS,3 -> 200mS, 4 -> 0.4S,5 -> 0.8S,6 -> 1.6S,7 -> 3.2S

// 设置低功耗滤波等级：                  0 -> 普通, 1 -> 中 ( 等级越高，功耗越大 )
#define TKLib_LP_FILTER_LEVEL            0

//===================================================================================================
// 以下参数用户不可自行修改
//===================================================================================================

// 设置确认手指触摸次数：               (1 <= value <= 15) 
#define TKLib_EFFECTIVE_TOUCH_TIME       4

// 设置确认手指离开次数：               (1 <= value <= 15) 
#define TKLib_INVALID_TOUCH_TIME         3

//                                      (1<= value<=3)
#define TKLib_TIM                        2
 
//                                      (0<= value<=11) 
#define TKLib_TKCKS                      10

// 设置触摸放电电阻阻值：               (1 <= value <= 255) 
#define TKLib_TKRCTR_DATA      			 5

// 触摸数据采集次数，不需要更改			(2 <= value <= 255) 
#define TKLib_ScanCnt         		 	 5

#endif /*__Touch_Lib_CFG_H__*/
